# Stage-discharge equations list

| Equation | Default discharge coefficient | Available in |
|---------------------------|----------------:|-------------------------------|
| [Broad-crested weir / Orifice (Cemagref-D)](./cem_88_d.md) | 0.4 | Parallel Structures |
| [Broad-crested weir / sluice gate (Cemagref-V)](./cem_88_v.md) | 0.6 | Parallel Structures |
| [Broad-crested weir / orifice (Cunge)](./cunge_80.md) | 0.6 | Parallel Structures, Cross walls, Downwall |
| [Free flow sluice gate](./vanne_denoyee.md) | 0.6 | Parallel Structures |
| [Submerged sluice gate](./vanne_noyee.md) | 0.6 | Parallel Structures |
| [Free flow sharp-crested weir (Poleni)](./seuil_denoye.md) | 0.4 | Parallel Structures, Free flow weir stage-discharge laws |
| [Deeply submerged sharp-crested weir (Rajaratnam)](./seuil_noye.md) | 0.9 | Parallel Structures |
| [Submerged slot (Larinier)](./fente_noyee.md) | 0.75 | Parallel Structures, Cross walls, Downwall |
| [Sharp-crested weir (Kindsvater-Carter + Villemonte)](./kivi.md) | \(\alpha\)=0.4, \(\beta\)=0.001 | Parallel Structures |
| [Triangular weir sharp-crested (Villemonte) and broad-crested (Bos)](./dever_triang.md) | 1.36 | Parallel Structures, Free flow weir stage-discharge laws, Cross walls, Downwall |
| [Truncated triangular weir (Villemonte)](./dever_triang_tronque.md) | 1.36 | Parallel Structures, Free flow weir stage-discharge laws, Cross walls, Downwall |
| [Submerged orifice (Bernoulli)](./orifice_noye.md) | 0.7 | Parallel Structures, Cross walls, Downwall |
| [Free flow orifice (Bernoulli)](./orifice_denoye.md) | 0.7 | Parallel Structures |
| [Sharp-crested weir (Villemonte)](./villemonte_1947.md) | 0.4 | Parallel Structures, Cross walls, Downwall |
| [Regulated notch (Villemonte)](../pab/pab.md#the-downstream-partition) | 0.4 | Downwall |
| [Regulated submerged slot (Larinier)](../pab/pab.md#the-downstream-partition) | 0.75 | Downwall |

Table: Stage-discharge equations list
